describe('Banner', () => {
    beforeEach(() => {
        cy.visit('/matchmemory')
      })
      it('banner is visible', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .should('be.visible')
      })
      it('button works', () => {
        cy.get('body')
          .first()
        .find('.tab-container')
        .find('.tab-btns')
        .find('.btn-mobile')
        .click()
        .url().should('eq', 'http://localhost:3000/forKids')
      })
    })

    describe('Memory Cards', () => {
      beforeEach(() => {
          cy.visit('/matchmemory')
        })
        it('instructions visible', () => {
          cy.get('body')
            .first()
            .find('.gameContainer')
            .find('.step')
          .should('be.visible')
        })
        it('New Game visible and clickable', () => {
          cy.get('body')
            .first()
          .find('.gameContainer')
          .find('.buttonA')
          .should('be.visible')
          .click()
        })
        it('score visible', () => {
          cy.get('body')
            .first()
          .find('.gameContainer')
          .find('.info')
          .first()
          .should('be.visible')
        })
        it('turn visible', () => {
          cy.get('body')
            .first()
            .find('.gameContainer')
            .find('.info')
            .first()
            .next()
          .should('be.visible')
        })
        it('12 cards visible', () => {
          cy.get('body')
            .first()
            .find('.gameContainer')
            .find('.gameGrid')
            .find('.container')
            .should('have.length', 12)
        })
      })